Update an employee

Update an employee

Custom Fields

You can update employee custom fields by using the generated "internal_name" of the employee field that you have in PeopleForce. This unique field name is automatically generated when you create a custom field, and is returned by the GET /employee_fields endpoint.

For example if you have a field labelled "Tax number" in PeopleForce,it will autogenerated an internal name called "tax_number", you can then use within your request along with other system attributes of the employee, for example "first_name"

{
  "first_name": "Andrew",
  "tax_number": "123123"
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Employee ID

Body Params
string
string
string
string
date
date
string
enum
Allowed:
string
string
string
string
integer
Response
200

OK

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!